<?php
function avant_propre($texte) {

	$chercher_raccourcis = array(
#		/*  1 */ "/\{0\{/",
#		/*  2 */ "/\}0\}/",
		/*  3 */ "/\{1\{/",
		/*  4 */ "/\}1\}/",
		/*  5 */ "/\{2\{/",
		/*  6 */ "/\}2\}/",
		/*  7 */ "/\{3\{/",
		/*  8 */ "/\}3\}/",
		/*  9 */ "/[[:space:]]--[[:space:]]/",
		/* 10 */ "/[[:space:]]--,[[:space:]]/",
		/* 11 */ "/\{\{/",
		/* 12 */ "/\}\}/",
		/* 13 */ "/<-->/",
		/* 14 */ "/-->/",
		/* 15 */ "/<--/"
			);

	$remplacer_raccourcis = array(
#		/*  1 */ "@@SPIP_debut_intertitre_0@@",
#		/*  2 */ "@@SPIP_fin_intertitre_0@@",
		/*  3 */ "@@SPIP_debut_intertitre@@",
		/*  4 */ "@@SPIP_fin_intertitre@@",
		/*  5 */ "@@SPIP_debut_intertitre_2@@",
		/*  6 */ "@@SPIP_fin_intertitre_2@@",
		/*  7 */ "@@SPIP_debut_intertitre_3@@",
		/*  8 */ "@@SPIP_fin_intertitre_3@@",
		/*  9 */ " &mdash; ",
		/* 10 */ " &mdash;, ",
		/* 11 */ "<span style=\"font-variant: small-caps\">",
		/* 12 */ "</span>",
		/* 13 */ "&harr;",
		/* 14 */ "&rarr;",
		/* 15 */ "&larr;"
			);

	$texte = ereg_remplace($chercher_raccourcis, $remplacer_raccourcis, $texte);

	return $texte;
}

function apres_propre($texte) {

/*
	# Intertitre -1 (intertitre de niveau suprieur  l'intertitre usuel de spip)
	global $debut_intertitre_0, $fin_intertitre_0;
	if(!$debut_intertitre_0) $debut_intertitre_0 = "<h2 class=\"spip\">";
	if(!$fin_intertitre_0) $fin_intertitre_0 = "</h2>";
	$texte = ereg_replace('(<p class="spip">)?[[:space:]]*@@SPIP_debut_intertitre_0@@', $debut_intertitre_0, $texte);
	$texte = ereg_replace('@@SPIP_fin_intertitre_0@@[[:space:]]*(</p>)?', $fin_intertitre_0, $texte);
*/

	# Le remplacement des intertitres de premier niveau a dj t effectu dans inc_texte.php3

	# Intertitre de deuxime niveau
	global $debut_intertitre_2, $fin_intertitre_2;
	if(!$debut_intertitre_2) $debut_intertitre_2 = "<h4 class=\"spip\">";
	if(!$fin_intertitre_2) $fin_intertitre_2 = "</h4>";
	$texte = ereg_replace('(<p class="spip">)?[[:space:]]*@@SPIP_debut_intertitre_2@@', $debut_intertitre_2, $texte);
	$texte = ereg_replace('@@SPIP_fin_intertitre_2@@[[:space:]]*(</p>)?', $fin_intertitre_2, $texte);

	# Intertitre de troisime niveau
	global $debut_intertitre_3, $fin_intertitre_3;
	if(!$debut_intertitre_3) $debut_intertitre_3 = "<h5 class=\"spip\">";
	if(!$fin_intertitre_3) $fin_intertitre_3 = "</h5>";
	$texte = ereg_replace('(<p class="spip">)?[[:space:]]*@@SPIP_debut_intertitre_3@@', $debut_intertitre_3, $texte);
	$texte = ereg_replace('@@SPIP_fin_intertitre_3@@[[:space:]]*(</p>)?', $fin_intertitre_3, $texte);
	
		$cherche1 = array(
			/* 15 */ 	"/\[\//",
			/* 16 */	"/\/\]/",
			/* 17 */ 	"/\[\|/",
			/* 18 */	"/\|\]/",
			/* 19 */ 	"/\[\(/",
			/* 20 */	"/\)\]/",
			/* 21 */ 	"/\[\*/",
			/* 22 */	"/\*\]/",
			/* 23 */ 	"/\[\^/",
			/* 24 */	"/\^\]/",
			/* 25 */    	"/<p class=\"spip\"><ul class=\"spip\">/",
			/* 26 */	"/<\/ul>( *)<\/p>/",
			/* 27 */    	"/<p class=\"spip\"><ol class=\"spip\">/",
			/* 28 */	"/<\/ol>( *)<\/p>/",
			/* 29 */    	"/<p class=\"spip\"><table class=\"spip\">/",
			/* 30 */	"/<\/table>( *)<\/p>/",
			/* 31 */    	"/<p class=\"spip\">( *)<div/",
			/* 32 */	"/<\/div>( *)<\/p>/",
			/* 33 */	"/<p class=\"spip\"><h([0-9])>/",
			/* 34 */	"/<\/h([0-9])>( *)<\/p>/",
			/* 35 */    	"/<table cellpadding=5 cellspacing=0 border=0 align=''> <tr><td align='center'> <div class='spip_documents'>/",
			/* 36 */    	"/<\/div> <\/td><\/tr> <\/table>/",
			/* 37 */    	"/<p class=\"spip\"><div/",
			/* 38 */    	"/<p class=\"spip\"><blockquote class=\"spip\">/",
			/* 39 */    	"/<\/blockquote>( *)<\/p>/"
		);
		$remplace1 = array(
			/* 15 */ 	"<div style=\"text-align:right;\">",
			/* 16 */	"</div>",
			/* 17 */ 	"<div style=\"text-align:center;\">",
			/* 18 */	"</div>",
			/* 19 */ 	"<div class=\"texteencadre-spip\">",
			/* 20 */	"</div>",
			/* 21 */ 	"<span class=\"caractencadre-spip\">",
			/* 22 */	"</span>",
			/* 23 */ 	"<sup>",
			/* 24 */	"</sup>",
			/* 25 */	"<ul class=\"spip\">",
			/* 26 */	"</ul>",			
			/* 27 */	"<ol class=\"spip\">",
			/* 28 */	"</ol>",			
			/* 29 */	"<table class=\"spip\">",
			/* 30 */	"</table>",			
			/* 31 */	"<div",
			/* 32 */	"</div>",			
			/* 33 */	"<h$1>",
			/* 34 */	"</h$1>",
			/* 35 */	"<div class='spip_documents'>",
			/* 36 */	"</div>",			
			/* 37 */	"<div",
			/* 38 */    	"<blockquote class=\"spip\"><p class=\"spip\">",
			/* 39 */    	"</p></blockquote>"
			
		);
		$texte = preg_replace($cherche1, $remplace1, $texte);
	return $texte;
}
?>
